﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace ListBoxDragDropInAPopup
{
    public class ViewModel : ViewModelBase
    {
        readonly ObservableCollection<Country> countryList;

        public ViewModel()
        {
            this.countryList = new ObservableCollection<Country>();
        }

        public ObservableCollection<Country> CountryList
        {
            get
            {
                this.countryList.Add(new Country { CountryName = "Portugal", CountryFlag = new Uri("../DragDrop/pt.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Germany", CountryFlag = new Uri("../DragDrop/de.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Spain", CountryFlag = new Uri("../DragDrop/es.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Italy", CountryFlag = new Uri("../DragDrop/it.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Ukraine", CountryFlag = new Uri("../DragDrop/ua.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Sweden", CountryFlag = new Uri("../DragDrop/se.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "France", CountryFlag = new Uri("../DragDrop/fr.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "England", CountryFlag = new Uri("../DragDrop/gb.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Netherland", CountryFlag = new Uri("../DragDrop/nl.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Russia", CountryFlag = new Uri("../DragDrop/ru.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Denmark", CountryFlag = new Uri("../DragDrop/dk.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Croatia", CountryFlag = new Uri("../DragDrop/cr.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Czech Republic", CountryFlag = new Uri("../DragDrop/cz.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Poland", CountryFlag = new Uri("../DragDrop/pl.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Greece", CountryFlag = new Uri("../DragDrop/gr.png", UriKind.RelativeOrAbsolute) });
                this.countryList.Add(new Country { CountryName = "Republic of Ireland", CountryFlag = new Uri("../DragDrop/ie.png", UriKind.RelativeOrAbsolute) });

                return this.countryList;
            }
        }
    }
}
